using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertItemPromotionInfoDTO
{

    /*
        商品收入比率(%)：商品佣金比率+补贴比率。同物料类接口income_rate
    */
    private string? commissionRate;


    /*
        佣金类型。MKT表示营销计划，SP表示定向计划，COMMON表示通用计划，ZX表示自选计划
    */
    private string? commissionType;


    /*
        商品到手价。单位分
    */
    private long? promotionPrice;


    /*
        多件价需拍件数
    */
    private long? multipleItemsPricesCount;



    [JsonPropertyName("commission_rate")]
    public string? CommissionRate
    {
        get => commissionRate;
        set => this.commissionRate = value;
    }

    [JsonPropertyName("commission_type")]
    public string? CommissionType
    {
        get => commissionType;
        set => this.commissionType = value;
    }

    [JsonPropertyName("promotion_price")]
    public long? PromotionPrice
    {
        get => promotionPrice;
        set => this.promotionPrice = value;
    }

    [JsonPropertyName("multiple_items_prices_count")]
    public long? MultipleItemsPricesCount
    {
        get => multipleItemsPricesCount;
        set => this.multipleItemsPricesCount = value;
    }

}

